#!/usr/bin/env python
"""
------------------------
  comps parsing utils
------------------------

* Fri May 2 2014 Jaromir Capik <jcapik@redhat.com> - 0.1
- Initial version

"""

import sys
import libcomps

try:
    grp_name = sys.argv[2]
    comps_name = sys.argv[1]
except:
    print "\nUsage: comps-list-pkgs-in-grp.py <comps-xml> <group-name>\n"
    sys.exit(2)


l = libcomps.Comps()
l.fromxml_f(comps_name)
for group in l.groups :
    if group.name == grp_name :
        for pkg in group.packages :
            print pkg.name
